Create a Backend
Create a new backend on the given load balancer.
A backend defines a pool of servers that receive traffic from a frontend. It controls load balancing algorithm, health checks, sticky sessions, and which servers (VMs or Elastic Servers) are part of the pool.
Authorization
bearer_auth OAuth Authentication
OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.
Use the access_token in the Authorization header for requests:
Authorization: Bearer <token>Always keep your token secure and do not share it with anyone.
In: header
Path Parameters
A unique identifier for a load balancer instance.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request body for creating or updating a backend.
Response Body
application/json
application/json
text/pain
application/json
application/json
curl -X POST "https://example.com/v1/lbs/550e8400-e29b-41d4-a716-446655440000/backends" \ -H "Content-Type: application/json" \ -d '{ "name": "api-backend", "mode": "http", "balancing_method": "roundrobin", "port": 8080, "servers": { "type": "computer", "computer_ids": [ "cc3ccab2-0ae2-11ef-9136-6a0922f6458b", "cc8b9d3c-fe4d-11ee-91c9-6aca7850c3b4" ] } }'{ "name": "api-backend", "mode": "http", "balancing_method": "roundrobin", "port": 8080, "servers": { "type": "computer", "computer_ids": [ "cc3ccab2-0ae2-11ef-9136-6a0922f6458b", "cc8b9d3c-fe4d-11ee-91c9-6aca7850c3b4" ] }, "options": { "tls": false, "tls_verify": false, "forward_for": true, "proxy_protocol": "v2", "sticky_session": { "type": "cookie", "cookie": "SERVERID", "ttl": "5m" }, "health_check": { "type": "http", "path": "/health", "method": "GET", "port": 80, "expected_code": "200", "host_header": "example.com" } }}{ "errors": [ { "message": "'vcpus' field must be an integer", "field": "resource_id" } ]}"Access denied"{ "errors": [ { "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n" } ]}{ "errors": [ { "message": "VM with ID 23 not found" } ]}